curl -X POST "https://server.smartlead.ai/api/v1/email-accounts/tag-list" \
-H "Content-Type: application/json" \
-d '{"email_ids": ["sender@company.com", "outreach@company.com"]}'
{
"ok": true,
"data": [
{
"email_account_id": 101,
"from_email": "sender@company.com",
"tags": [
{"id": 1, "name": "Primary Senders", "color": "#4CAF50"},
{"id": 2, "name": "Campaign A", "color": "#2196F3"}
]
}
]
}
{
"message": "Invalid API Key"
}
Email Account Tags
Get Email Account Tags
Get tags associated with specific email accounts by email address
POST
/
api
/
v1
/
email-accounts
/
tag-list
curl -X POST "https://server.smartlead.ai/api/v1/email-accounts/tag-list" \
-H "Content-Type: application/json" \
-d '{"email_ids": ["sender@company.com", "outreach@company.com"]}'
{
"ok": true,
"data": [
{
"email_account_id": 101,
"from_email": "sender@company.com",
"tags": [
{"id": 1, "name": "Primary Senders", "color": "#4CAF50"},
{"id": 2, "name": "Campaign A", "color": "#2196F3"}
]
}
]
}
{
"message": "Invalid API Key"
}
Retrieve tag information for email accounts. Provide email addresses to get their associated tags and account IDs.
Request Body
array
required
Array of email address strings to look up. Minimum 1 email required.
curl -X POST "https://server.smartlead.ai/api/v1/email-accounts/tag-list" \
-H "Content-Type: application/json" \
-d '{"email_ids": ["sender@company.com", "outreach@company.com"]}'
Response Codes
Success
Request successful
Bad Request
Invalid request parameters or malformed request body
Unauthorized
Invalid or missing API key
Validation Error
Request validation failed. Check parameter types and constraints.
{
"ok": true,
"data": [
{
"email_account_id": 101,
"from_email": "sender@company.com",
"tags": [
{"id": 1, "name": "Primary Senders", "color": "#4CAF50"},
{"id": 2, "name": "Campaign A", "color": "#2196F3"}
]
}
]
}
{
"message": "Invalid API Key"
}
